### Function

# GObject type_check_instance

#### Declaration [src]

    gboolean
    g_type_check_instance (
      GTypeInstance* instance
    )

#### Description [src]

Private helper function to aid implementation of the G_TYPE_CHECK_INSTANCE() macro.

#### Parameters

`instance`

  Type: `GTypeInstance`

  A valid `GTypeInstance` structure.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `instance` is valid, `FALSE` otherwise.